Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002301 [JEDI VCL] 00 JVCL Components minor always 2004-11-09 00:31 2004-11-15 05:44
Reporter anonymous View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002301: JvDBGrid Cell Background update problem in fixed Column
Description When using a fixed row combined with ShowCellHint, i get a problem with the Background in the fixed Col after the Hint window closes. The region, which was covered by the Hint window get's repaintet with the TJvDBGrid.Color not with the TJvDBGridFixedColor.
The following change in TJvDBGrid.GetCellProps does the fix for me:

...(Line 1588) in JvDBGrid
begin
//if (FCurrentDrawRow >= FixedRows) and Odd(FCurrentDrawRow + FixedRows) and
// (FAlternateRowColor <> clNone) and (FAlternateRowColor <> Color) and
// IsAfterFixedCols then
// Background := AlternateRowColor;

  If IsAfterFixedCols then
  begin
    if (FCurrentDrawRow >= FixedRows) and Odd(FCurrentDrawRow + FixedRows) and
        (FAlternateRowColor <> clNone) and (FAlternateRowColor <> Color) then
        Background := AlternateRowColor;
  end else
  begin
    Background := Fixedcolor;
  end;
....

Any other suggestions ?
Achim
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0005616)
anonymous (viewer)
2004-11-12 00:55

Forgotten to mention. I'm using D5Pro SP1. May be there are differences in other versions.
(0005631)
obones (administrator)
2004-11-15 05:44

This is now fixed in CVS.
Thanks to you for reporting it.
Thanks to Fred for the complete fix, inspired by your report

- Issue History
Date Modified Username Field Change
2004-11-09 00:31 anonymous New Issue
2004-11-12 00:55 anonymous Note Added: 0005616
2004-11-15 05:44 obones Status new => resolved
2004-11-15 05:44 obones Resolution open => fixed
2004-11-15 05:44 obones Assigned To => obones
2004-11-15 05:44 obones Note Added: 0005631


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker